/**
 * Open Street Map
 */
.os-map {
	display: block;
	overflow: hidden;
}

.os-map__title {
	padding: 1em 0;
}

.os-map__map {
	width: 100%; 
	height: var(--spacing-70); 
	z-index: 1;
	background: var(--color-light);
	border-radius: 0px;
}

.os-map__map .leaflet-layer {
	filter: invert(80%) sepia(100%) hue-rotate(180deg) grayscale(0%) brightness(0.8) contrast(125%);	
}

.os-map .leaflet-bar {
	box-shadow: 0 1px 7px rgba(0, 0, 0, 0.18);
}

.os-map .leaflet-container a {
	color: var(--color-link);
}

.os-map .leaflet-bar a {
	width: 45px;
	height: 45px;
	line-height: 45px;
	text-decoration: none;
	color: var(--color-link);
	background: var(--background);
	transition: color var(--ease-fast);
	border: 0;
}

.os-map .leaflet-container .leaflet-control-attribution {
	background: var(--background);
	color: var(--color-text);
}

.os-map .leaflet-bar a:hover {
	width: 45px;
	height: 45px;
	line-height: 45px;
	color: var(--color-white);
}

.os-map .leaflet-popup-content {
	margin: 15px;
}

.os-map .leaflet-popup-content-wrapper {
	border-radius: 2px;
}

.os-map .leaflet-container a.leaflet-popup-close-button {
	padding: 5px 5px 0 0;
}

.os-map .leaflet-popup-content {
	font-family: var(--font);
	font-size: 0.875rem;
}